### Method

# GLib Queue copy

since: 2.4

#### Declaration

    GQueue*
    g_queue_copy (
      GQueue* queue
    )

#### Description

Copies a `queue`. Note that is a shallow copy. If the elements in the queue consist of pointers to data, the pointers are copied, but the actual data is not.

Available since: 2.4

This method is not directly available to language bindings.

#### Return value

Type: `GQueue`

A copy of `queue`.

The data is owned by the instance.